> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapcoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a developer

> Creates a new developer record.



## OpenAPI

````yaml post /api/v1/developers
openapi: 3.0.0
info:
  title: YapCoder API
  description: API for YapCoder - Developer Reputation and Analytics Platform
  version: 1.0.0
servers:
  - url: https://api.yapcoder.com
    description: Local development server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: healthchecks
    description: Service health and readiness checks
  - name: developers
    description: Developer management and analytics
  - name: projects
    description: Project analytics and repository details
  - name: sui
    description: Sui ecosystem packages and data
paths:
  /api/v1/developers:
    post:
      tags:
        - developers
      summary: Create a developer
      description: Creates a new developer record.
      operationId: CreateDeveloper
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDeveloperRequest'
      responses:
        '201':
          description: Developer created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Developer'
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Developer already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CreateDeveloperRequest:
      type: object
      required:
        - username
        - github_user_id
        - onboarded_ts
      properties:
        username:
          type: string
        github_user_id:
          type: integer
        onboarded_ts:
          type: string
          format: date-time
    Developer:
      type: object
      properties:
        yapcoder_id:
          type: integer
        github_user_id:
          type: integer
        username:
          type: string
        is_yapcoder:
          type: boolean
        onboarded_ts:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````